/*  $Id: setupgl.cpp,v 1.6 2004/03/13 23:04:13 mbn Exp $
**
**  ClanLib Game SDK
**  Copyright (C) 2003  The ClanLib Team
**  For a total list of contributers see the file CREDITS.
**
**  This library is free software; you can redistribute it and/or
**  modify it under the terms of the GNU Lesser General Public
**  License as published by the Free Software Foundation; either
**  version 2.1 of the License, or (at your option) any later version.
**
**  This library is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
**  Lesser General Public License for more details.
**
**  You should have received a copy of the GNU Lesser General Public
**  License along with this library; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
**
*/

#include "API/GL/setupgl.h"
#include "opengl_target.h"

/////////////////////////////////////////////////////////////////////////////
// CL_SetupGL construction:

static CL_OpenGLTarget *target = 0;

static int ref_count = 0;

CL_SetupGL::CL_SetupGL(bool register_resources_only)
{
	CL_SetupGL::init(register_resources_only);
}

CL_SetupGL::~CL_SetupGL()
{
	CL_SetupGL::deinit();
}

void CL_SetupGL::init(bool register_resources_only)
{
	ref_count++;
	if (ref_count != 1) return;

	if (register_resources_only) return;

	target = new CL_OpenGLTarget;
}
	
void CL_SetupGL::deinit()
{
	ref_count--;
	if (ref_count != 0) return;

	if(target)
		delete target;
	target = 0;
}
